# PathFactory

open class PathFactory

Path Factory.

## Constructors

PathFactory
Link copied to clipboard
constructor()

## Functions

addPathVariable
Link copied to clipboard
open fun addPathVariable(name: String, dir: File): PathFactory
path
Link copied to clipboard
open fun path(file: File): FilePath
open fun path(file: File, useFileScheme: Boolean): FilePath
Creates a path for the given file.
open fun path(url: String): Path
open fun path(url: String, relPath: String): Path
Creates a path for the given URL.
relativePath
Link copied to clipboard
open fun relativePath(pathVar: String, file: File): FilePath
Creates a path relative to the given path variable.